/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.meterRead.YhbhAndSl;
import com.tofly.watermeter.entity.Qfcbqfmxls;

import java.util.Date;
import java.util.List;

/**
 * 业务抄表欠费明细历史表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
public interface QfcbqfmxlsService extends IService<Qfcbqfmxls> {

    boolean insertBatch(List<Qfcbqfmxls> qflsList);

    Long getWaterYieldByTime(String yhbh, String toStr1);

    List<YhbhAndSl> getBeforeReadData(Integer month);

    List<YhbhAndSl> selectYhbhAdYsl(Date date);

    boolean saveQfcbqfmxls(List<Qfcbqfmxls> lists, Date yearonmonth1, Date yearonmonth2, Date yearonmonth3, String column);

    int truncateQfcbqfmxlsTable();

    IPage<Qfcbqfmxls> getReadHistory(Page page, String yhbh , Date dateTime);
}
